Ask Your Question
0

Problems with rosrun, rosws and others

asked 2013-07-30 09:13:33 -0500

MarcosPB gravatar image

updated 2013-07-30 10:50:22 -0500

William gravatar image

Hi there. I use ROS Fuerte and I have a problem in a computer. When I use rosrun, roscreate-pkg and rosws some errors are happening. I'd like a help from you. For example, when I type: $ rosws init ~/fuerte_workspace /opt/ros/fuerte the console showed:

Traceback (most recent call last):
  File "/usr/bin/rosws", line 52, in <module>
    import rosinstall.rosws_cli
  File "/usr/lib/pymodules/python2.7/rosinstall/__init__.py", line 33, in <module>
    import rosinstall.helpers
  File "/usr/lib/pymodules/python2.7/rosinstall/helpers.py", line 37, in <module>
    from rosinstall.config_elements import SetupConfigElement
  File "/usr/lib/pymodules/python2.7/rosinstall/config_elements.py", line 38, in <module>
    from vcstools.vcs_abstraction import get_vcs_client
  File "/usr/lib/pymodules/python2.7/vcstools/__init__.py", line 43, in <module>
    from vcstools.svn import SvnClient
  File "/usr/lib/pymodules/python2.7/vcstools/svn.py", line 44, in <module>
    import dateutil.parser  # For parsing date strings
  File "/usr/local/lib/python2.7/dist-packages/dateutil/parser.py", line 24, in <module>
    from six import text_type, binary_type, integer_types
ImportError: No module named six

Can anyone help me? It is making a lot of problem for me.

Thanks so much!

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2013-07-30 10:55:57 -0500

William gravatar image

That specific error looks like you are missing the six module, but the last line of the traceback:

...
  File "/usr/local/lib/python2.7/dist-packages/dateutil/parser.py", line 24, in <module>
    from six import text_type, binary_type, integer_types
ImportError: No module named six

You can see that the dateutil module is coming from /usr/local/lib/... and everything else is coming from /usr/lib/pymodules/.... This looks like a problem with mixing pip and apt-get. See:

http://answers.ros.org/question/49143/problems-with-rqt-groovy-ubuntu/?answer=49153#post-id-49153

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

[hide preview]

Question Tools

Follow
1 follower

Stats

Asked: 2013-07-30 09:13:33 -0500

Seen: 461 times

Last updated: Jul 30 '13